# WRPLL simulation

Frequency and time domain simulation for WRPLL

## Installation

### Poetry:
```bash
poetry install
poetry run jupyter lab
```

### Poetry shell:
```bash
poetry install
poetry shell
```

### Nix:
```bash
nix develop
```

## Quick start
- The simulation file is located at `src` 
- RAM usage and execution time estimate for time domain simulation
    - 500,000,000 time steps: 8GiB RAM and 55 seconds
- Frequency domain doc is also [available](./doc/freqsim.md) 

<br>
<details><summary><b>WRPLL formulas</b></summary>

- Assume the difference between $f_{main}, f_{gtx}$ is very small

    - Let $f_{in} = f_{main} = f_{gtx}$

    - $f_{helper} = f_{in} * \dfrac{N-1}{N}$
    
    - $f_{beat} = f_{in} - f_{helper} =  \dfrac{f_{in}}{N}$

- Main and helper Si549 DCXO **ADPLL** setting

    - $ADPLL = \dfrac{\Delta f_{outppm}}{0.0001164}$

</details><br>

## Limitation
